#ifndef _GENERAL_H
#define _GENERAL_H

#include <string>

void GetFileBase(const char *f);
extern uint32 uppow2(uint32 n);

std::string MDFN_MakeFName(int type, int id1, const char *cd1);
char *MDFN_FixString(char *str);

#define MDFNMKF_STATE	1
#define MDFNMKF_SNAP	2
#define MDFNMKF_SAV	3
#define MDFNMKF_CHEAT	4
#define MDFNMKF_FDSROM	5
#define MDFNMKF_PALETTE	6
#define MDFNMKF_GGROM	7
#define MDFNMKF_IPS	8
#define MDFNMKF_FDS	9
#define MDFNMKF_MOVIE	10
#define MDFNMKF_NPTEMP	11
#define MDFNMKF_AUX	12
#define MDFNMKF_LYNXROM	13
#define MDFNMKF_SNAP_DAT 14
#define MDFNMKF_CHEAT_TMP 15

const char * GetFNComponent(const char *str);

#endif
